play.db

## Class DBPlugin.ProxyDriver

- java.lang.Object
- - play.db.DBPlugin.ProxyDriver

- All Implemented Interfaces:
    java.sql.Driver
  Enclosing class:
    DBPlugin

      public static class DBPlugin.ProxyDriver
      extends java.lang.Object
      implements java.sql.Driver

  Needed because DriverManager will not load a driver ouside of the system classloader

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsURL(java.lang.String u)`
    `java.sql.Connection` | `connect(java.lang.String u, java.util.Properties p)`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `java.util.logging.Logger` | `getParentLogger()`
    `java.sql.DriverPropertyInfo[]` | `getPropertyInfo(java.lang.String u, java.util.Properties p)`
    `boolean` | `jdbcCompliant()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### acceptsURL

          public boolean acceptsURL(java.lang.String u)
                             throws java.sql.SQLException

      Specified by:
        `acceptsURL` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLException`

    - #### connect

          public java.sql.Connection connect(java.lang.String u,
                                             java.util.Properties p)
                                      throws java.sql.SQLException

      Specified by:
        `connect` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLException`

    - #### getMajorVersion

          public int getMajorVersion()

      Specified by:
        `getMajorVersion` in interface `java.sql.Driver`

    - #### getMinorVersion

          public int getMinorVersion()

      Specified by:
        `getMinorVersion` in interface `java.sql.Driver`

    - #### getPropertyInfo

          public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String u,
                                                               java.util.Properties p)
                                                        throws java.sql.SQLException

      Specified by:
        `getPropertyInfo` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLException`

    - #### jdbcCompliant

          public boolean jdbcCompliant()

      Specified by:
        `jdbcCompliant` in interface `java.sql.Driver`

    - #### getParentLogger

          public java.util.logging.Logger getParentLogger()
                                                   throws java.sql.SQLFeatureNotSupportedException

      Specified by:
        `getParentLogger` in interface `java.sql.Driver`
      Throws:
        `java.sql.SQLFeatureNotSupportedException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly